<?php $object_name = CreateHamiltonians; ?>
<h2 class="methods" class="methods"><?php echo $object_name; ?></h2>

<?php include ('licence.html'); ?>


  <p class="caption">Description</p>
  <p class="syntax">Returns an object providing interface to create and store the Hamiltonian and geometry data of the scattering region.</p>
  <p class="caption">Syntax</p>
  <p class="syntax">object = CreateHamiltonians( Opt, param ) </p>


<table>
<tr>
<th colspan="2"> Parameters </th>
</td>
<tr>
<td class="parameter_names">
Opt
</td>
<td class="parameter_values">
Stucture containing the computational parameters. The required fields of the structure are the following:
  <ul class="style2list">
      <li><p class="strucfield">Lattice_Type</p> The supported lattice type ('H' for graphene, 'Silicene' for silicene, 'S' for square lattice)</li>
  </ul>
See more details about the data structure <a href="index.php?menu=structures&location=Structures#Opt">here</a>.
</td>
</tr>
<tr>
<td class="parameter_names">
param
</td>
<td class="parameter_values">
Structure containing the physical parameters of the scattering region. The required fields are specified in tructure <a href="index.php?menu=structures&location=Structures#scatter_param">scatter_param</a>.
</td>
</tr>
</table>


<p class="caption">Attributes</p>
<ul>
	<li><?php $method_name = "GeneralMessages" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p> An instance of interface <a href="index.php?location=Messages&menu=interfaces" >Messages</a>.</li>
	<li><?php $method_name = "GeneralValidationHandles" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p> An instance of interface <a href="index.php?location=ValidationFunctions&menu=interfaces" >ValidationFunctions</a>.</li>
	<li><?php $method_name = "kulso_szabfokok" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>A list of the sites to be kept after decimation.</li>
	<li><?php $method_name = "Hscatter" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The matrix of the Hamiltonian.</li>
	<li><?php $method_name = "fazis_mtx_scatter" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The matrix of the Peierls phases.</li>
	<li><?php $method_name = "coordinates" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p> An instance of the structure <a href="index.php?menu=structures&location=Structures#coordinates" >coordinates</a>.</li>
	<li><?php $method_name = "height" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The length of the scattering region in units of the lattice contant.</li>
	<li><?php $method_name = "width" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The number of sites in the cross section.</li>
	<li><?php $method_name = "M" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The number of sites in one unit cell.</li>
	<li><?php $method_name = "Opt" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>An instance of the structure <a href="index.php?menu=structures&location=Structures#Opt" >Opt</a></li>
	<li><?php $method_name = "param" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>An instance of the structure <a href="index.php?menu=structures&location=Structures#param" >param</a></li>
</ul>

<p class="caption">Methods</p>
<ul>
	<li><a href="#1">CreateScatterH</a></li>
	<li><a href="#2">saveScatter</a></li>
	<li><a href="#3">loadScatter</a></li>
	<li><a href="#4">projectHamiltonian2Spin</a></li>
	<li><a href="#write">MemberWrite</a></li>
	<li><a href="#read">MemberRead</a></li>
	<li><a href="#clear">MemberClear</a></li>
</ul>

<h2 class="methods"><?php echo $object_name; ?>::CreateScatterH<a name="1"></a></h2>
  <p class="syntax">Creates a Hamiltonian of a finite ribbon on hexagonal lattice or construct the Hamiltonian from the unit cell provided in the interface <a href="index.php?location=Surface_Green_function&menu=interfaces">Surface_tmp</a>. The Hamiltonian and the structure containing the coordinates are stored within the class.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> object.CreateScatterH( varargin ) </p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<td class="parameter_names">
varargin
</td>
<td class="parameter_values">
Optional parameters given by a sequance ...'name', value,... . Possible parameters are the following:
  <ul class="style2list">
     <li><p class="strucfield">Surface_tmp</p> An instance of the interface <a href="index.php?location=Surface_Green_function&menu=interfaces">Surface_Green_function object</a>.</li>
  </ul>
</td>
</tr>
</table>
  <br></br><br></br><br></br>




<h2 class="methods"><?php echo $object_name; ?>::saveScatter<a name="2"></a></h2>
  <p class="caption">Description</p>
  <p class="syntax">Saves the attributes of the present interface into a file.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> object.saveScatter( filename ) </p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
filename
</td>
<td class="parameter_values">
A string containing the filename. If not given, "Hscatter.mat" is used instead.
</td>
</tr>
</table>
  <br></br><br></br><br></br>



<h2 class="methods"><?php echo $object_name; ?>::loadScatter<a name="3"></a></h2>
  <p class="caption">Description</p>
  <p class="syntax">Load the attributes from a given file.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> object.loadScatter( filename ) </p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
filename
</td>
<td class="parameter_values">
A string containing the filename. If not given, "Hscatter.mat" is used instead.
</td>
</tr>
</table>
  <br></br><br></br><br></br>




<h2 class="methods"><?php echo $object_name; ?>::projectHamiltonian2Spin<a name="4"></a></h2>
  <p class="caption">Description</p>
  <p class="syntax">Projects the Hamiltonian to the spin space of $$s=\pm1$$.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> object.projectHamiltonian2Spin( s ) </p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
s
</td>
<td class="parameter_values">
Set 1 for spin up or -1 for spin down states
</td>
</tr>
</table>
  <br></br><br></br><br></br>




<h2 class="methods"><?php echo $object_name; ?>::MemberWrite<a name="write"></a></h2>
  Sets the value of an attribute.
  </br>
  <b>Syntax</b>
  <p class="syntax">object.MemberWrite(MemberName, input)</p>
<table>
<tr>
<th colspan="2"> Parameters </th>
</td>
<tr>
<td class="parameter_names">
MemberName
</td>
<td class="parameter_values">
The name of the attribute to set.
</td>
</tr>
<tr>
<td class="parameter_names">
input
</td>
<td class="parameter_values">
The value of the attribute to set.
</td>
</tr>
</table>
  <br></br><br></br><br></br>




<h2 class="methods"><?php echo $object_name; ?>::MemberRead<a name="read"></a></h2>
<b>Description</b>
</br>
  Reads the value of an attribute in the interface.
  </br>
  <b>Syntax</b>
  <p class="syntax">ret = object.MemberRead(MemberName)</p>
<table>
<tr>
<th colspan="2"> Parameters </th>
</td>
<tr>
<td class="parameter_names">
MemberName
</td>
<td class="parameter_values">
The name of the attribute.
</td>
</tr>
</table>

</br>
<table>
<tr>
<th colspan="2"> Return </th>
</td>
<tr>
<td class="parameter_names">
ret
</td>
<td class="parameter_values">
The value of the attribute.
</td>
</tr>
</table>
  <br></br><br></br><br></br>



<h2 class="methods"><?php echo $object_name; ?>::MemberClear<a name="clear"></a></h2>
<b>Description</b>
</br>
  Clears the value of an attribute in the interface.
  </br>
  <b>Syntax</b>
  <p class="syntax">object.MemberClear(MemberName)</p>
<table>
<tr>
<th colspan="2"> Parameters </th>
</td>
<tr>
<td class="parameter_names">
MemberName
</td>
<td class="parameter_values">
The name of the attribute.
</td>
</tr>
</table>
