<?php $object_name = "Data structures"; ?>
<h1 class="methods" class="methods"><?php echo $object_name; ?></h1>

<?php include ('licence.html'); ?>


  <p class="caption">Description</p>
  <p class="syntax">Description of data structures used in <?php echo $lang['SITE_TITLE']; ?></p>


<?php $structure_name = "param" ?>
<h2 class="methods"><?php echo $structure_name; ?><a name="<?php echo $structure_name; ?>"></a></h2>
<table>
<tr>
<th colspan="2"> Fields </th>
</tr>
<tr>
<td class="parameter_names">
scatter
</td>
<td class="parameter_values">
An instance of the structure <a href="index.php?menu=structures&location=Structures#scatter_param">scatter_param</a> containing the physical parameters for the scattering region.
</td>
</tr>
<tr>
<td class="parameter_names">
Leads
</td>
<td class="parameter_values">
A list of structures <a href="index.php?menu=structures&location=Structures#lead_param">Lead_param</a> containing the physical parameters for the scattering region.
</td>
</tr>
</table>


</br></br></br>



<?php $structure_name = "scatter_param" ?>
<h2 class="methods"><?php echo $structure_name; ?><a name="<?php echo $structure_name; ?>"></a></h2>
<table>
<tr>
<th colspan="2"> Fields </th>
</tr>
<tr>
<td class="parameter_names">
epsilon
</td>
<td class="parameter_values">
On-site energy in the scattering region.
</td>
</tr>
<tr>
<td class="parameter_names">
vargamma
</td>
<td class="parameter_values">
The hopping amplitude in the scattering region.
</td>
</tr>
<tr>
<td class="parameter_names">
SOintrinsic
</td>
<td class="parameter_values">
strength of the intrinsic SOI in silicene.
</td>
</tr>
<tr>
<td class="parameter_names">
deltaAB
</td>
<td class="parameter_values">
The strength of the staggered A-B potential in silicene.
</td>
</tr>
<tr>
<td class="parameter_names">
SO_rashba_intrinsic
</td>
<td class="parameter_values">
The strength of the intrinsic Rashba SOI in silicene.
</td>
</tr>
<tr>
<td class="parameter_names">
pair_potential
</td>
<td class="parameter_values">
The pair potential for superconducting phases (a complex number).
</td>
</tr>
<tr>
<td class="parameter_names">
Overlap_in_Scatter
</td>
<td class="parameter_values">
Logical parameter. Set true to use overlap integrals in the scattering center, false otherwise.
</td>
</tr>
<tr>
<td class="parameter_names">
shape
</td>
<td class="parameter_values">
An instance of structure <a href="#shape">shape</a>.
</td>
</tr>
</table>


</br></br></br>


<?php $structure_name = "lead_param" ?>
<h2 class="methods"><?php echo $structure_name; ?><a name="<?php echo $structure_name; ?>"></a></h2>
<table>
<tr>
<th colspan="2"> Fields </th>
</tr>
<tr>
<td class="parameter_names">
epsilon
</td>
<td class="parameter_values">
On-site energy in the lead.
</td>
</tr>
<tr>
<td class="parameter_names">
vargamma
</td>
<td class="parameter_values">
The hopping amplitude in the lead.
</td>
</tr>
<tr>
<td class="parameter_names">
SOintrinsic
</td>
<td class="parameter_values">
strength of the intrinsic SOI in silicene.
</td>
</tr>
<tr>
<td class="parameter_names">
deltaAB
</td>
<td class="parameter_values">
The strength of the staggered A-B potential in silicene.
</td>
</tr>
<tr>
<td class="parameter_names">
SO_rashba_intrinsic
</td>
<td class="parameter_values">
The strength of the intrinsic Rashba SOI in silicene.
</td>
</tr>
<tr>
<td class="parameter_names">
pair_potential
</td>
<td class="parameter_values">
The pair potential for superconducting phases (complex number).
</td>
</tr>
<tr>
<td class="parameter_names">
Overlap_in_Lead
</td>
<td class="parameter_values">
Logical parameter. Set true to use overlap integrals in the lead, false otherwise.
</td>
</tr>
<tr>
<td class="parameter_names">
orientation
</td>
<td class="parameter_values">
Set $+1$ if the in-comming states to the scattering center are propagating in the $+x$ or $+y$ direction, and $-1$ otherwise.
</td>
</tr>
<tr>
<td class="parameter_names">
M
</td>
<td class="parameter_values">
The number of the sites in the cross section of the lead.
</td>
</tr>
</table>

</br></br></br>



<?php $structure_name = "Opt" ?>
<h2 class="methods"><?php echo $structure_name; ?><a name="<?php echo $structure_name; ?>"></a></h2>
<table>
<tr>
<th colspan="2"> Fields </th>
</tr>
<tr>
<td class="parameter_names">
Hscatter
</td>
<td class="parameter_values">
set 1 to load the Hamiltonian of the scattering region from a file, 0 otherwise.
</td>
</tr>
<tr>
<td class="parameter_names">
Hleads
</td>
<td class="parameter_values">
set 1 to load the Hamiltonian of the leads from a file, 0 otherwise.
</td>
</tr>
<tr>
<td class="parameter_names">
Decimation
</td>
<td class="parameter_values">
Option for using decimation. Type 1,2 or 3 to use it, 0 to not use it. (see more details at <a href="index.php?location=Decimation&menu=interfaces">Decimation</a>)
</td>
</tr>
<tr>
<td class="parameter_names">
Decimation_block
</td>
<td class="parameter_values">
The maximal number of the sites to be decimated at once.
</td>
</tr>
<tr>
<td class="parameter_names">
Decimate_only_Dyson
</td>
<td class="parameter_values">
Set 1 for decimate only the Dyson equation, and 0 otherwise. (has effect only if Decimation>0) --- Obsolete
</td>
</tr>
<tr>
<td class="parameter_names">
NofLeads
</td>
<td class="parameter_values">
Number of leads attached to the scattering region.
</td>
</tr>
<tr>
<td class="parameter_names">
Potential
</td>
<td class="parameter_values">
Set 1 to use extra electric potential, 0 otherwise.  --- Obsolete
</td>
</tr>
<tr>
<td class="parameter_names">
magnetic_field
</td>
<td class="parameter_values">
Set 1 if a magnetic field is involved in the calculations, 0 otherwise.
</td>
</tr>
<tr>
<td class="parameter_names">
Lattice_Type
</td>
<td class="parameter_values">
Set 'S' for square lattice, 'H' for graphene lattice, 'Silicene' for Silicene.
</td>
</tr>
<tr>
<td class="parameter_names">
Simple_Green_Function
</td>
<td class="parameter_values">
Set 1 if a simple analytical surface greens function computational method is about to be used, 0 otherwise.
</td>
</tr>
<tr>
<td class="parameter_names">
Linear_Regression_in_B
</td>
<td class="parameter_values">
Set 1 for using linear regression to calculate the Peierls integrals between the sites. Useful when dealing with a homogeneous magnetic field.
</td>
</tr>
<tr>
<td class="parameter_names">
Just_Create_Hamiltonians
</td>
<td class="parameter_values">
set 1 for calculating only the Hamiltonians with the Peierls phases. --- Obsolete
</td>
</tr>
<tr>
<td class="parameter_names">
saveWithMagneticFiled
</td>
<td class="parameter_values">
Obsolete
</td>
</tr>
<tr>
<td class="parameter_names">
BdG
</td>
<td class="parameter_values">
Set 1 for superconducting systems, 0 (default) for normal systems
</td>
</tr>
<tr>
<td class="parameter_names">
Silent
</td>
<td class="parameter_values">
Set 1 in order to mute the output messages.
</td>
</tr>
</table>


</br></br></br>





<?php $structure_name = "coordinates" ?>
<h2 class="methods"><?php echo $structure_name; ?><a name="<?php echo $structure_name; ?>"></a></h2>
<table>
<tr>
<th colspan="2"> Fields </th>
</tr>
<tr>
<td class="parameter_names">
x
</td>
<td class="parameter_values">
A vector containing the $x$ coordinates of the sites.
</td>
</tr>
<tr>
<td class="parameter_names">
y
</td>
<td class="parameter_values">
A vector containing the $y$ coordinates of the sites.
</td>
</tr>
<tr>
<td class="parameter_names">
a
</td>
<td class="parameter_values">
The lattice vector of the lead. 
</td>
</tr>
<tr>
<td class="parameter_names">
spinup
</td>
<td class="parameter_values">
Vector of logicals. Used in system including a spin degree of freedom. Values "true" gives sites with spin up, and values "false" stand for the spin down sites.
</td>
</tr>
<tr>
<td class="parameter_names">
BdG_u
</td>
<td class="parameter_values">
Vector of logicals. Used in the Bogoliubov de Gennes Hamiltonians. Values "true" gives sites corresponding to the "u" component of the wave function, and values "false" stand for the sites of the "v" component of the wave function.
</td>
</tr>
</table>


</br></br></br>




<?php $structure_name = "shape" ?>
<h2 class="methods"><?php echo $structure_name; ?><a name="<?php echo $structure_name; ?>"></a></h2>
<table>
<tr>
<th colspan="2"> Fields </th>
</tr>
<tr>
<td class="parameter_names">
width
</td>
<td class="parameter_values">
The number of sites in the cross section.
</td>
</tr>
<tr>
<td class="parameter_names">
height
</td>
<td class="parameter_values">
Number of (ribbon) unit cells in the scattering region.
</td>
</tr>
<tr>
<td class="parameter_names">
Lead_End_Type
</td>
<td class="parameter_values">
Values are 'A' for zigzag edged ribbon, and 'Z' for ribbon with armchair type edges in hexagonal lattice.
</td>
</tr>
<tr>
<td class="parameter_names">
Atom_Type
</td>
<td class="parameter_values">
The type of the first site at the position (1,1) of the Hamiltonian in a hexagonal lattice (values are 'A' or 'B')
</td>
</tr>
</table>


</br></br></br>





<?php $structure_name = "hole" ?>
<h2 class="methods"><?php echo $structure_name; ?><a name="<?php echo $structure_name; ?>"></a></h2>
<table>
<tr>
<th colspan="2"> Fields </th>
</tr>
<tr>
<td class="parameter_names">
center
</td>
<td class="parameter_values">
A vector $$[x,y]$$ containing the coordinates of the center.
</td>
</tr>
<tr>
<td class="parameter_names">
radius
</td>
<td class="parameter_values">
The radius of the hole in the units of the lattice constant.
</td>
</tr>
</table>


</br></br></br>





<?php $structure_name = "scatterers" ?>
<h2 class="methods"><?php echo $structure_name; ?><a name="<?php echo $structure_name; ?>"></a></h2>
<table>
<tr>
<th colspan="2"> Fields </th>
</tr>
<tr>
<td class="parameter_names">
z
</td>
<td class="parameter_values">
A vector of slab indexes in the ribbon.
</td>
</tr>
<tr>
<td class="parameter_names">
zpoints
</td>
<td class="parameter_values">
A vector of site indexes in the slabs.
</td>
</tr>
<tr>
<td class="parameter_names">
potentials
</td>
<td class="parameter_values">
A vector of the on-site potentials.
</td>
</tr>
<tr>
<td class="parameter_names">
siteindexes
</td>
<td class="parameter_values">
A vector of the site indexes (generated from $$z$$ and $$zpoints$$)
</td>
</tr>
<tr>
<td class="parameter_names">
aremissing
</td>
<td class="parameter_values">
Set true if the given sites are about to remove from the lattice.
</td>
</tr>
</table>




</br></br></br>




<?php $structure_name = "BandWidth" ?>
<h2 class="methods"><?php echo $structure_name; ?><a name="<?php echo $structure_name; ?>"></a></h2>
<table>
<tr>
<th colspan="2"> Fields </th>
</tr>
<tr>
<td class="parameter_names">
Lead
</td>
<td class="parameter_values">
An instance of the structure <a href="#BandWidtLimits">BandWidtLimits</a> for the lead.
</td>
</tr>
<tr>
<td class="parameter_names">
Scatter
</td>
<td class="parameter_values">
An instance of the structure <a href="#BandWidtLimits">BandWidtLimits</a> for the scattering region.
</td>
</tr>
</table>



</br></br></br>




<?php $structure_name = "BandWidthLimits" ?>
<h2 class="methods"><?php echo $structure_name; ?><a name="<?php echo $structure_name; ?>"></a></h2>
<table>
<tr>
<th colspan="2"> Fields </th>
</tr>
<tr>
<td class="parameter_names">
Emin
</td>
<td class="parameter_values">
The minimal value of the energy band.
</td>
</tr>
<tr>
<td class="parameter_names">
Emax
</td>
<td class="parameter_values">
The maximal value of the energy band. 
</td>
</tr>
</table>



</br></br></br>

