<?php $object_name = Surface_Green_function; ?>
<h1 class="methods">Surface_Green_function</h1>

<?php include ('licence.html'); ?>


  <p class="caption">Description</p>
<p class="syntax">Returns an interface providing methods to calculate the
<ul class="style2list">
  <li>Greens function of an infinite ribbon.</li>
  <li>the surface Greens function of a semi-infinite ribbon.</li>
  <li>the surface Greens function of a finite piece of the lead.</li>
  <li>the surface Greens function of a complex structure generated from infinite ribbon using the Dyson equation.</li>
</ul></p>

  <p class="caption">Syntax</p>
  <p class="syntax"> interface = Surface_Green_function(Opt, param, varargin)</p>
<table>
<tr>
<th colspan="2"> Parameters </th>
</td>
<tr>
<td class="parameter_names">
Opt
</td>
<td class="parameter_values">
Structure containing the computational parameters. The fields of the structure are:
  <ul class="style2list">
      <li><p class="strucfield">BdG</p> Set 1 for Bogoliubov de Gennes Hamiltonian, 0 otherwise.</li>
      <li><p class="strucfield">my_own_potential</p> Set 0 to load the magnetic field from B_input.mat, or 1 to load the vector potential from Vector_Potetntial.mat (Obsolete).</li>
      <li><p class="strucfield">Linear_Regression_in_B</p> Set 1 if the vector potential varies linearly as a function of the coordinates, 0 otherwise.</li>
      <li><p class="strucfield">Lattice_Type</p> set 'H' for hexagonal lattice, 'S' for square lattice, 'Silicene' for silicene lattice.</li>
  </ul>
</td>
</tr>
<tr>
<td class="parameter_names">
param
</td>
<td class="parameter_values">
Structure containing the physical parameters of the ribbon. The required fields are specified <a href="index.php?location=parseInput&menu=interfaces">here</a>.
</td>
</tr>
<tr>
<td class="parameter_names">
varargin
</td>
<td class="parameter_values">
Optional parameters given by a sequence ...'name', value,... . Possible parameters are:
  <ul class="style2list">
      <li><p class="strucfield">Lead_Orientation</p> orientation of the lead. Set +1 is the "incoming" direction of the propagating states is defined in the +x or +y direction, and "-1" otherwise.</li>
      <li><p class="strucfield">Hanyadik_Lead</p>The id number of the current lead.</li>
      <li><p class="strucfield">Way2Hamiltonian</p> Obsolete parameter</li>
      <li><p class="strucfield">usingDualModes</p> set 1 to use dual model for the calculations, or 0 otherwise.</li>
      <li><p class="strucfield">Lead_End_Type</p> set 'A' for zigzag edged ribbon, or 'Z' for ribbon with armchair type edges.</li>
      <li><p class="strucfield">Atom_Type</p> The type of the first site at the (1,1) position of the H_0 Hamiltonian (values are 'A' or 'B')</li>
  </ul>
</td>
</tr>
</table>

<p class="caption">Attributes</p>
<ul>
	<li><?php $method_name = "usingDualModes" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>if True the dual modes are used to calculate Greens function, if false, left and rigth-side modes are used..</li>
	<li><?php $method_name = "Lead_Orientation" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The orientation of the lead. Set +1 is the "incoming" direction of the propagating states is defined in the +x or +y direction, and "-1" otherwise.</li>
	<li><?php $method_name = "Hanyadik_Lead" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The id number of the current lead.</li>
	<li><?php $method_name = "Way2Hamiltonian" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>Obsolete.</li>
	<li><?php $method_name = "GinfSzamolo" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>Function handle to calculate the infinite Greens function.</li>
	<li><?php $method_name = "Lead_End_Type" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>'A' for zigzag edged ribbon, or 'Z' for ribbon with armchair type edges.</li>
	<li><?php $method_name = "Atom_Type" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The type of the first site at the (1,1) position of the H_0 Hamiltonian (values are 'A' or 'B').</li>
	<li><?php $method_name = "M" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The number of the sites in the cross section.</li>
	<li><?php $method_name = "params" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>An instance of the structure <a href="index.php?menu=structures&location=Structures#lead_param" >lead_param</a></li>
	<li><?php $method_name = "retarted" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>true for calculating the retarded Greens function, or false for the .</li>
	<li><?php $method_name = "kulso_szabfokok" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>List of sites in the unit cell that should be kept after decimation.</li>
	<li><?php $method_name = "coordinates" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>An instance of the structure <a href="index.php?menu=structures&location=Structures#coordinates" >coordinates</a>.</li>
	<li><?php $method_name = "H0" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The Hamiltonian of a unit cell.</li>
	<li><?php $method_name = "H1" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The coupling Hamiltonian between the unit cells.</li>
	<li><?php $method_name = "H1adj" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The coupling Hamiltonian between the unit cells in the opposite direction as H1. (For complex energies they differ from each other.)</li>
	<li><?php $method_name = "H00" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>An auxiliary matrix used in the decimation procedure. [H00,H1;H1adj,H0] is being decimated.</li>
	<li><?php $method_name = "fazis_mtx_H0" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The matrix of the Peierls phases in the unit cell.</li>
	<li><?php $method_name = "fazis_mtx_H1" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The matrix of the Peierls phases in the coupling matrix between the unit cells.</li>
	<li><?php $method_name = "modusmtx " ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The unsorted right-sided eigenstates.</li>
	<li><?php $method_name = "modusmtx_left" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The unsorted left-sided eigenstates.</li>
	<li><?php $method_name = "k" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The unsorted wave numbers.</li>
	<li><?php $method_name = "csoportseb" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The unsorted group velocities.</li>
	<li><?php $method_name = "k_p" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The wave numbers of the eigenstates, that propagates or decays in the positive direction.</li>
	<li><?php $method_name = "k_m" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The wave numbers of the eigenstates, that propagates or decays in the negative direction.</li>
	<li><?php $method_name = "vcsop_p" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The group velocities of the eigenstates, that propagates or decays in the positive direction.</li>
	<li><?php $method_name = "vcsop_m" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The group velocities of the eigenstates, that propagates or decays in the negative direction.</li>
	<li><?php $method_name = "modusmtx_p" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The right sided wave functions of the eigenstates, that propagates or decays in the positive direction.</li>
	<li><?php $method_name = "modusmtx_p_left" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The left-sided wave numbers of the eigenstates, that propagates or decays in the positive direction.</li>
	<li><?php $method_name = "d_modusmtx_p" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The dual basis of the right-sided wave functions of the eigenstates, that propagates or decays in the positive direction.</li>
	<li><?php $method_name = "modusmtx_m" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The right-sided wave functions of the eigenstates, that propagates or decays in the negative direction.</li>
	<li><?php $method_name = "modusmtx_m_left" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The left-sided wave functions of the eigenstates, that propagates or decays in the negative direction.</li>
	<li><?php $method_name = "d_modusmtx_m" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The dual basis of the right-sided wave functions of the eigenstates, that propagates or decays in the positive direction.</li>
	<li><?php $method_name = "Normamtx" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The normalization matrix in the Greens function.</li>
	<li><?php $method_name = "invNormamtx" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The inverse of the normalization matrix.</li>
	<li><?php $method_name = "gsurf" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The matrix of the surface Greens function of the semi-infinite ribbon.</li>
	<li><?php $method_name = "gsurfinv" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The inverse of the Greens function.</li>
	<li><?php $method_name = "ginf" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The matrix of the Greens function of the infinite ribbon.</li>
	<li><?php $method_name = "gfin" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The matrix of the surface Greens function of a finite ribbon.</li>
	<li><?php $method_name = "Opt" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>An instance of the structure <a href="index.php?menu=structures&location=Structures#Opt" >Opt</a></li>
	<li><?php $method_name = "param" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>An instance of the structure <a href="index.php?menu=structures&location=Structures#param" >param</a></li>
</ul>


<p class="caption">Methods</p>

<ul class="style2list">
	<li><a href="#3">InfGreenFunction</a></li>
	<li><a href="#4">FiniteGreenFunction</a></li>
	<li><a href="#5">SurfaceGreenFunction</a></li>
	<li><a href="#6">Group_Velocit</a></li>
	<li><a href="#7">TrickyEigenvalues</a></li>
	<li><a href="#8">CreateHamiltoniansForLead</a></li>
	<li><a href="#9">CalcSpektrum</a></li>
	<li><a href="#10">saveLeads</a></li>
	<li><a href="#11">ShiftCoordinates</a></li>
	<li><a href="#12">SurfaceGreen_simple</a></li>
	<li><a href="#13">ShiftLead</a></li>
	<li><a href="#14">AddPotential</a></li>
	<li><a href="#15">isSuperconducting</a></li>
	<li><a href="#16">CreateClone</a></li>
	<li><a href="#17">Reset</a></li>
	<li><a href="#write">MemberWrite</a></li>
	<li><a href="#read">MemberRead</a></li>
	<li><a href="#clear">MemberClear</a></li>
</ul>

<h2 class="methods"><?php echo $object_name; ?>::InfGreenFunction<a name="3"></a></h2>
<p class="caption">Description</p>
</br>
  Calculates the Greens function of the infinite lead between slabs z1 and z2. The calculated Greens function is stored within the current interface.
</br>
  <p class="caption">Syntax</p>
  <p class="syntax"> ret = interface.InfGreenFunction(z1,z2, varargin)</p>
<table>
<tr>
<th colspan="2"> Parameters </th>
<tr>
<td class="parameter_names">
z1
</td>
<td class="parameter_values">
The ordinal number of the first slab.
</td>
</tr>
<tr>
<td class="parameter_names">
z2
</td>
<td class="parameter_values">
The ordinal number of the second slab.
</td>
</tr>
<td class="parameter_names">
varargin
</td>
<td class="parameter_values">
Optional parameters given by a sequence ...'name', value,... . Possible parameters are:
  <ul class="style2list">
      <li><p class="strucfield">z1points</p> list of sites in the slab z1 to include in the calculations. By default each site in the given slab is included.</li>
      <li><p class="strucfield">z2points</p> list of sites in the slab z2 to include in the calculations. By default each site in the given slab is included.</li>
  </ul>
</td>
</tr>
</table>

</br>
<table>
<tr>
<th colspan="2"> Return </th>
</td>
<tr>
<td class="parameter_names">
ret
</td>
<td class="parameter_values">
A matrix of the calculated Greens function. (The Greens function is also stored within the current interface.)
</td>
</tr>
</table>



  </br></br></br>
<h2 class="methods"><?php echo $object_name; ?>::FiniteGreenFunction<a name="4"></a></h2>
<p class="caption">Description</p>
</br>
  Calculates the Greens function of a finite piece of the lead between slabs z1 and z2. The calculated Greens function is stored within the current interface.
</br>
  <p class="caption">Syntax</p>
  <p class="syntax"> ret = interface.FiniteGreenFunction(z1,z2)</p>
<table>
<tr>
<th colspan="2"> Parameters </th>
<tr>
<td class="parameter_names">
z1
</td>
<td class="parameter_values">
The ordinal number of the first slab.
</td>
</tr>
<tr>
<td class="parameter_names">
z2
</td>
<td class="parameter_values">
The ordinal number of the second slab.
</td>
</tr>
</table>

</br>
<table>
<tr>
<th colspan="2"> Return </th>
</td>
<tr>
<td class="parameter_names">
ret
</td>
<td class="parameter_values">
A matrix of the calculated Greens function. (The Greens function is also stored within the current interface.)
</td>
</tr>
</table>
  </br></br></br>
<h2 class="methods"><?php echo $object_name; ?>::SurfaceGreenFunction<a name="5"></a></h2>
<p class="caption">Description</p>
</br>
  Calculates the surface Greens function of a semi-infinite lead. The calculated Greens function is stored by the current interface.
  </br>
  <p class="caption">Syntax</p>
  <p class="syntax"> interface.SurfaceGreenFunction()</p>
  </br></br></br>
<h2 class="methods"><?php echo $object_name; ?>::Group_Velocit<a name="6"></a></h2>
<p class="caption">Description</p>
</br>
  Calculates the group velocities corresponding to the propagating states. The calculated group velocities are stored within the interface.
  </br>
  <p class="caption">Syntax</p>
  <p class="syntax">interface.Group_Velocity(varargin)</p>
 <table>
<tr>
<th colspan="2"> Parameters </th>
<tr>
<td class="parameter_names">
varargin
</td>
<td class="parameter_values">
Optional parameters given by a sequence ...'name', value,... . Possible parameters are:
  <ul class="style2list">
      <li><p class="strucfield">WithOverlap</p> set 1 for calculations including the overlap integrals. By default the overlap integrals are omitted in the calculations.</li>
  </ul>
</td>
</tr>
</table>
  </br></br></br>
<h2 class="methods"><?php echo $object_name; ?>::TrickyEigenvalues<a name="7"></a></h2>
<p class="caption">Description</p>
</br>
  Calculates the wave numbers corresponding to the propagating states at a given energy. The calculated wave numbers are stored by within the interface.
  </br>
  <p class="caption">Syntax</p>
  <p class="syntax">interface.TrickyEigenvalues(E)</p>
<table>
<tr>
<th colspan="2"> Parameters </th>
<tr>
<td class="parameter_names">
E
</td>
<td class="parameter_values">
the energy to be used in the calculations.
</td>
</tr>
</table>
  </br></br></br>
<h2 class="methods"><?php echo $object_name; ?>::CreateHamiltoniansForLead<a name="8"></a></h2>
<p class="caption">Description</p>
</br>
  Creates the Hamiltonians H_0 and H_1 of the lead. The created Hamiltonians are stored within the interface.
  </br>
  <p class="caption">Syntax</p>
  <p class="syntax">interface.CreateHamiltoniansForLead( varargin)</p>
<table>
<tr>
<th colspan="2"> Parameters </th>
</td>
<tr>
<td class="parameter_names">
varargin
</td>
<td class="parameter_values">
Optional parameters given by a sequence ...'name', value,... . Possible parameters are:
  <ul class="style2list">
      <li><p class="strucfield">toSave</p> set 1 in order to save the created Hamiltonians into a file 'Hamiltoni_Lead_' + num2str(Hanyadik_Lead) + '.mat'.</li>
  </ul>
</td>
</tr>
</table>
  </br></br></br>
<h2 class="methods"><?php echo $object_name; ?>::CalcSpektrum<a name="9"></a></h2>
<p class="caption">Description</p>
</br>
  Calculates the band structure of the lead.
  </br>
  <p class="caption">Syntax</p>
  <p class="syntax">spectrum = interface.CalcSpektrum( varargin )</p>
<table>
<tr>
<th colspan="2"> Parameters </th>
<tr>
<td class="parameter_names">
varargin
</td>
<td class="parameter_values">
Optional parameters given by a sequence ...'name', value,... . Possible parameters are:
  <ul class="style2list">
      <li><p class="strucfield">toPlot</p> set 1 in order to plot the calculated spectrum, 0 (default) otherwise</li>
      <li><p class="strucfield">ka_min</p> is the lower bound of the wave numbers.</li>
      <li><p class="strucfield">ka_max</p> is the upper bound of the wave numbers.</li>
      <li><p class="strucfield">ka_num</p> is the number of wave number points involved in the calculations.</li>
      <li><p class="strucfield">center</p> the calculated energy eigenvalues are centered around this value.</li>
      <li><p class="strucfield">db</p> the number of the calculated eigenvalues.</li>
  </ul>
</td>
</tr>
</table>

</br>
<table>
<tr>
<th colspan="2"> Return </th>
</td>
<tr>
<td class="parameter_names">
spectrum
</td>
<td class="parameter_values">
A matrix containing the calculated spectrum with the wave numbers in the first and with the energy eigenvalues in the second column.
</td>
</tr>
</table>
  </br></br></br>
<h2 class="methods"><?php echo $object_name; ?>::saveLeads<a name="10"></a></h2>
<p class="caption">Description</p>
</br>
  Save Lead Hamiltonians  into a file 'Hamiltoni_Lead_' + num2str(Hanyadik_Lead) + '.mat'.
  </br>
  <p class="caption">Syntax</p>
  <p class="syntax">interface.saveLeads()</p>
  </br></br></br>
<h2 class="methods"><?php echo $object_name; ?>::ShiftCoordinates<a name="11"></a></h2>
  Shifts the coordinates of the sites by an integer multiple of the lattice vector.
  </br>
  <p class="caption">Syntax</p>
  <p class="syntax">interface.ShiftCoordinates( shift )</p>
<table>
<tr>
<th colspan="2"> Parameters </th>
<tr>
<td class="parameter_names">
shift
</td>
<td class="parameter_values">
An integer to multiply the lattice vector in order to shift the coordinates.
</td>
</tr>
</table>
  </br></br></br>
<h2 class="methods"><?php echo $object_name; ?>::SurfaceGreen_simple<a name="12"></a></h2>
<p class="caption">Description</p>
</br>
  Calculates the surface Greens function of a semi-infinite lead by an analytical formula valid for square lattice without magnetic field. The calculated Greens function is stored by the current interface.
  </br>
  <p class="caption">Syntax</p>
  <p class="syntax"> interface.SurfaceGreen_simple( E )</p>
<table>
<tr>
<th colspan="2"> Parameters </th>
<tr>
<td class="parameter_names">
E
</td>
<td class="parameter_values">
The energy to be used in the calculations.
</td>
</tr>
</table>
  </br></br></br>
<h2 class="methods"><?php echo $object_name; ?>::ShiftLead<a name="13"></a></h2>
<p class="caption">Description</p>
</br>
  Shifts the on-site energies in the leads by a given energy.
  </br>
  <p class="caption">Syntax</p>
  <p class="syntax"> interface.SurfaceGreen_simple( E )</p>
<table>
<tr>
<th colspan="2"> Parameters </th>
<tr>
<td class="parameter_names">
Energy
</td>
<td class="parameter_values">
The energy to be used in the calculations.
</td>
</tr>
</table>
  </br></br></br>
<h2 class="methods"><?php echo $object_name; ?>::AddPotential<a name="14"></a></h2>
<p class="caption">Description</p>
</br>
  Adds on-site potential to the Hamiltonian H-0.
  </br>
  <p class="caption">Syntax</p>
  <p class="syntax"> interface.AddPotential( V )</p>
<table>
<tr>
<th colspan="2"> Parameters </th>
<tr>
<td class="parameter_names">
V
</td>
<td class="parameter_values">
A vector containing the on-site potentials to be added to H_0. Must be of the same length as the diagonal of H_0.
</td>
</tr>
</table>
  </br></br></br>
<h2 class="methods"><?php echo $object_name; ?>::isSuperconducting<a name="15"></a></h2>
<p class="caption">Description</p>
</br>
  Test, whether the lead is in the superconducting phase or not.
  </br>
  <p class="caption">Syntax</p>
  <p class="syntax"> ret = interface.isSuperconducting()</p>
<table>
<tr>
<th colspan="2"> Return </th>
</td>
<tr>
<td class="parameter_names">
ret
</td>
<td class="parameter_values">
true if the lead is in the superconducting phase, 0 otherwise.
</td>
</tr>
</table>
  </br></br></br>
<h2 class="methods"><?php echo $object_name; ?>::CreateClone<a name="16"></a></h2>
<p class="caption">Description</p>
</br>
  Creates a clone of the present Surface_Green_function interface.
  </br>
  <p class="caption">Syntax</p>
  <p class="syntax"> Surface_tmp = interface.CreateClone()</p>

<table>
<tr>
<th colspan="2"> Return </th>
</td>
<tr>
<td class="parameter_names">
Surface_tmp
</td>
<td class="parameter_values">
An instance of interface <a href="index.php?location=Surface_Green_function&menu=interfaces">Surface_Green_function</a>.
</td>
</tr>
</table>
  </br></br></br>
<h2 class="methods"><?php echo $object_name; ?>::Reset<a name="17"></a></h2>
<p class="caption">Description</p>
</br>
  Resets all elements in the interface.
  </br>
  <p class="caption">Syntax</p>
  <p class="syntax"> interface.Reset()</p>
  </br></br></br>


<h2 class="methods"><?php echo $object_name; ?>::MemberWrite<a name="write"></a></h2>
  Sets the value of an element in the interface.
  </br>
  <p class="caption">Syntax</p>
  <p class="syntax">interface.MemberWrite(MemberName, input)</p>
<table>
<tr>
<th colspan="2"> Parameters </th>
</td>
<tr>
<td class="parameter_names">
MemberName
</td>
<td class="parameter_values">
The name of the element.
</td>
</tr>
<tr>
<td class="parameter_names">
input
</td>
<td class="parameter_values">
The value to be set.
</td>
</tr>
</table>
  <br></br><br></br><br></br>



<h2 class="methods"><?php echo $object_name; ?>::MemberRead<a name="read"></a></h2>
<p class="caption">Description</p>
</br>
  Reads the value of an element in the interface.
  </br>
  <p class="caption">Syntax</p>
  <p class="syntax">ret = interface.MemberRead(MemberName)</p>
<table>
<tr>
<th colspan="2"> Parameters </th>
</td>
<tr>
<td class="parameter_names">
MemberName
</td>
<td class="parameter_values">
The name of the element.
</td>
</tr>
</table>

</br>
<table>
<tr>
<th colspan="2"> Return </th>
</td>
<tr>
<td class="parameter_names">
ret
</td>
<td class="parameter_values">
The value of the element.
</td>
</tr>
</table>
  <br></br><br></br><br></br>



<h2 class="methods"><?php echo $object_name; ?>::MemberClear<a name="clear"></a></h2>
<p class="caption">Description</p>
</br>
  Clears the value of an element in the interface.
  </br>
  <p class="caption">Syntax</p>
  <p class="syntax">interface.MemberClear(MemberName)</p>
<table>
<tr>
<th colspan="2"> Parameters </th>
</td>
<tr>
<td class="parameter_names">
MemberName
</td>
<td class="parameter_values">
The name of the element.
</td>
</tr>
</table>
