<?php $object_name = Transport_Interface; ?>
<h1 class="methods" class="methods"><?php echo $object_name; ?></h1>

<?php include ('licence.html'); ?>
  <p class="caption">Description</p>
  <p class="syntax">Returns an interface to evaluate the Dyson equation and to calculate the scattering matrix.</p>
  <p class="caption">Syntax</p>
  <p class="syntax">interface = Transport_Interface(E, Opt, param, varargin)</p>

<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
E
</td>
<td class="parameter_values">
The energy to be used in the calculations.
</td>
</tr>
<tr>
<td class="parameter_names">
Opt
</td>
<td class="parameter_values">
Structure containing the computational parameters. See more details about the data structure <a href="index.php?menu=structures&location=Structures#Opt">here</a>.
</td>
</tr>
<tr>
<td class="parameter_names">
varargin
</td>
<td class="parameter_values">
Optional parameters given by a sequence ...'name', value,... . Possible parameter names are:
  <ul>
      <li><p class="strucfield">ForcedDecimation</p> overrides the decimation algorithm given by parameter Opt.Decimation</li>
  </ul>
</td>
</tr>
</table>



<p class="caption">Attributes</p>
<ul>
	<li><?php $method_name = "G" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The calculated Greens function.</li>
	<li><?php $method_name = "Smatrix" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The calculated scattering matrix.</li>
	<li><?php $method_name = "nyitott_csatornak" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>Numbers of the open channels in the leads.</li>
	<li><?php $method_name = "Conductance_Matrix" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The matrix of the calculated conductance.</li>
	<li><?php $method_name = "Dysonfunc" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>A function handle of the Dyson equation.</li>
	<li><?php $method_name = "CreateH" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p> An instance of interface <a href="index.php?location=CreateHamiltonians&menu=interfaces" >CreateHamiltonians</a>.</li>
	<li><?php $method_name = "PeierlsTransform" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>An instance of interface <a href="index.php?location=Peierls&menu=interfaces" >Peierls</a>.</li>
	<li><?php $method_name = "Surface" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>An instance of interface <a href="index.php?location=Surface_Green_function&menu=interfaces" >Surface_Green_function</a>.</li>
	<li><?php $method_name = "E" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>The energy to be used in the calculations.</li>
	<li><?php $method_name = "Opt" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>An instance of the structure <a href="index.php?menu=structures&location=Structures#Opt" >Opt</a></li>
	<li><?php $method_name = "param" ?><p class="strucfield"><a name="<?php echo $method_name; ?>"><?php echo $method_name; ?></a></p>An instance of the structure <a href="index.php?menu=structures&location=Structures#param" >param</a></li>
</ul>


<p class="caption">Methods</p>
<ul>
	<li><?php $method_name = "SurfaceGreenFunctionCalculator" ?><a href="#<?php echo $method_name; ?>"><?php echo $method_name; ?></a></li>
	<li><?php $method_name = "ScatterCalc" ?><a href="#<?php echo $method_name; ?>"><?php echo $method_name; ?></a></li>
	<li><?php $method_name = "LeadCalc" ?><a href="#<?php echo $method_name; ?>"><?php echo $method_name; ?></a></li>
	<li><?php $method_name = "LeadSave" ?><a href="#<?php echo $method_name; ?>"><?php echo $method_name; ?></a></li>
	<li><?php $method_name = "SmatrixCalc" ?><a href="#<?php echo $method_name; ?>"><?php echo $method_name; ?></a></li>
	<li><?php $method_name = "Conduktance" ?><a href="#<?php echo $method_name; ?>"><?php echo $method_name; ?></a></li>
	<li><?php $method_name = "DysonEq" ?><a href="#<?php echo $method_name; ?>"><?php echo $method_name; ?></a></li>
	<li><?php $method_name = "MemberRead" ?><a href="#<?php echo $method_name; ?>"><?php echo $method_name; ?></a></li>
	<li><?php $method_name = "setEnergy" ?><a href="#<?php echo $method_name; ?>"><?php echo $method_name; ?></a></li>
	<li><?php $method_name = "replaceLead" ?><a href="#<?php echo $method_name; ?>"><?php echo $method_name; ?></a></li>
</ul>

<?php $method_name = "SurfaceGreenFunctionCalculator" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="<?php echo $method_name; ?>"></a></h2>
  <p class="syntax">Create an instance of the interface <a href="index.php?location=Surface_Green_function&menu=interfaces">Surface_Green_function</a>.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> interface.<?php echo $method_name; ?>(idx, varargin) </p>


<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
idx
</td>
<td class="parameter_values">
The ordinal number of the considered lead.
</td>
</tr>
<tr>
<td class="parameter_names">
varargin
</td>
<td class="parameter_values">
Optional parameters given by a sequence ...'name', value,... . Possible parameters are:
  <ul class="style2list">
      <li><p class="strucfield">createCore</p>Set 1 for creating Hamiltonians without any further calculations.</li>
      <li><p class="strucfield">shiftLead</p>A real number. If given, the on-site potentials of the sites in the lead are shifted by this value.</li>
      <li><p class="strucfield">coordinates_shift</p>An integer. If given, the coordinates of the sites in the lead are shifted by coordinates_shift*lattice vector.</li>
      <li><p class="strucfield">usingDualModes</p> set 1 (default) to use the dual modes for the calculations, or 0 otherwise.</li>
      <li><p class="strucfield">potential</p>A vector of real numbers. If given, the on-site potentials of the sites in the lead are shifted by the corresponding component of this vector.</li>
      <li><p class="strucfield">Surface_tmp</p>An interface <a href="index.php?location=Surface_Green_function&menu=interfaces">Surface_Green_function</a>. If given, the surface Greens function is calculated within this interface.</li>
      <li><p class="strucfield">gauge_field</p>A function handle to perform gauge transformation on the Hamiltonians of the lead.</li>
  </ul>
</td>
</tr>
</table>
</br>
<table>
<tr>
<th colspan="2"> Return </th>
</tr>
<tr>
<td class="parameter_names">
Surface_tmp
</td>
<td class="parameter_values">
An instance of the interface <a href="index.php?location=Surface_Green_function&menu=interfaces">Surface_Green_function</a>.
</td>
</tr>
</table>
  <br></br><br></br><br></br>




<?php $method_name = "ScatterCalc" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="<?php echo $method_name; ?>"></a></h2>
  <p class="syntax">Calculates the effective (decimated) Hamiltonian of the scattering region.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> interface.<?php echo $method_name; ?>() </p>

  <br></br><br></br><br></br>





<?php $method_name = "LeadCalc" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="<?php echo $method_name; ?>"></a></h2>
  <p class="syntax">Invokes the function SurfaceGreenFunctionCalculator for each lead.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> Surface = interface.<?php echo $method_name; ?>(varargin) </p>


<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
varargin
</td>
<td class="parameter_values">
Optional parameters given by a sequence ...'name', value,... . Possible parameters are:
  <ul class="style2list">
      <li><p class="strucfield">shiftLead</p>A real number. If given, the on-site potentials of the sites in the lead are shifted by this value.</li>
      <li><p class="strucfield">coordinates_shift</p>An integer. If given, the coordinates of the sites in the lead are shifted by coordinates_shift*lattice vector.</li>
      <li><p class="strucfield">potential</p>A vector of real numbers. If given, the on-site potentials of the sites in the lead are shifted by the corresponding component of this vector.</li>
      <li><p class="strucfield">gauge_field</p>A function handle to perform gauge transformation on the Hamiltonians of the lead.</li>
  </ul>
</td>
</tr>
</table>
</br>
<table>
<tr>
<th colspan="2"> Return </th>
</tr>
<tr>
<td class="parameter_names">
Surface
</td>
<td class="parameter_values">
A list of teh created <a href="index.php?location=Surface_Green_function&menu=interfaces">Surface_Green_function</a> instances.
</td>
</tr>
</table>
  <br></br><br></br><br></br>






<?php $method_name = "LeadSave" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="<?php echo $method_name; ?>"></a></h2>
  <p class="syntax">Saves the Hamiltonians of each lead.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> interface.<?php echo $method_name; ?>() </p>

  <br></br><br></br><br></br>






<?php $method_name = "SmatrixCalc" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="<?php echo $method_name; ?>"></a></h2>
  <p class="syntax">Create an instance of the interface <a href="index.php?location=Surface_Green_function&menu=interfaces">Surface_Green_function</a>.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> [S,M] = interface.<?php echo $method_name; ?>(idx, varargin) </p>


<table>
<tr>
<th colspan="2"> Return </th>
</tr>
<tr>
<td class="parameter_names">
S
</td>
<td class="parameter_values">
The scattering matrix.
</td>
</tr>
<tr>
<td class="parameter_names">
M
</td>
<td class="parameter_values">
A vector containing the opened channels in each lead.
</td>
</tr>
</table>
  <br></br><br></br><br></br>






<?php $method_name = "Conduktance" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="<?php echo $method_name; ?>"></a></h2>
  <p class="syntax">Calculates the conductance matrix from the scattering matrix.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> C = interface.<?php echo $method_name; ?>() </p>


<table>
<tr>
<th colspan="2"> Return </th>
</tr>
<tr>
<td class="parameter_names">
C
</td>
<td class="parameter_values">
The conduction matrix.
</td>
</tr>
</table>
  <br></br><br></br><br></br>






<?php $method_name = "DysonEq" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="<?php echo $method_name; ?>"></a></h2>
  <p class="syntax">Invokes the Dyson equation.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> Gret = interface.<?php echo $method_name; ?>(varargin) </p>


<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
varargin
</td>
<td class="parameter_values">
Optional parameters given by a sequence ...'name', value,... . Possible parameters are:
  <ul class="style2list">
      <li><p class="strucfield">CustomDyson</p>A function handle of the Dyson equation to be evaluated. If not given, the function handle given at the previous call is used instead.</li>
  </ul>
</td>
</tr>
</table>
</br>
<table>
<tr>
<th colspan="2"> Return </th>
</tr>
<tr>
<td class="parameter_names">
G
</td>
<td class="parameter_values">
The calculated Greens function.
</td>
</tr>
</table>
  <br></br><br></br><br></br>





<?php $method_name = "MemberRead" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="<?php echo $method_name; ?>"></a></h2>
  <p class="syntax">Invokes the Dyson equation.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> ret = interface.<?php echo $method_name; ?>( MemberName ) </p>


<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
MemberName
</td>
<td class="parameter_values">
The name of the attribute.
</td>
</tr>
</table>
</br>
<table>
<tr>
<th colspan="2"> Return </th>
</tr>
<tr>
<td class="parameter_names">
ret
</td>
<td class="parameter_values">
The value of the attribute.
</td>
</tr>
</table>
  <br></br><br></br><br></br>






<?php $method_name = "setEnergy" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="<?php echo $method_name; ?>"></a></h2>
  <p class="syntax">Set the energy to be used in the calculations.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> interface.<?php echo $method_name; ?>( Energy ) </p>


<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
Energy
</td>
<td class="parameter_values">
The energy. (can be a complex number)
</td>
</tr>
</table>
  <br></br><br></br><br></br>





<?php $method_name = "replaceLead" ?>
<h2 class="methods"><?php echo $object_name; ?>::<?php echo $method_name; ?><a name="<?php echo $method_name; ?>"></a></h2>
  <p class="syntax">Adds/replaces a lead to/in the system.</p>
  <p class="caption">Syntax</p>
  <p class="syntax"> interface.<?php echo $method_name; ?>( Surface_tmp, idx ) </p>


<table>
<tr>
<th colspan="2"> Parameters </th>
</tr>
<tr>
<td class="parameter_names">
Surface_tmp
</td>
<td class="parameter_values">
An instance of the interface <a href="index.php?location=Surface_Green_function&menu=interfaces">Surface_Green_function</a>.
</td>
</tr>
<tr>
<td class="parameter_names">
idx
</td>
<td class="parameter_values">
The ordinal number of the lead to be added/replaced.
</td>
</tr>
</table>
  <br></br><br></br><br></br>


