function conductance


iload = LoadFromFile( 'Conductance_armchair.mat' );
K_cont = iload.LoadVariable( 'K_cont', 'NoEmpty', 'On' );
K700 = iload.LoadVariable( 'K700', 'NoEmpty', 'On' );
K1300 = iload.LoadVariable( 'K1300', 'NoEmpty', 'On' );
vargamma = iload.LoadVariable( 'vargamma', 'NoEmpty', 'On' );
iload.ClearLoadedVariables();

hossz700 = sqrt(3)/2*(K700.L-1);
beta700  = K700.lambda/vargamma;
arany700 = 2/pi*hossz700*beta700.^2*sqrt(3); %l/L
K700.Conductance = K700.Conductance*pi/4;
    
hossz1300 = sqrt(3)/2*(K1300.L-1);   
beta1300  = K1300.lambda/vargamma;
arany1300 = 2/pi*hossz1300*(beta1300).^2*sqrt(3); %l/L
K1300.Conductance = K1300.Conductance*pi/4;


plotconductance()


%% plotconductance
    function plotconductance()
        
    white = false;
    
    if white
        backgound_color = [1 1 1];
    else
        backgound_color = [238 223 177]/255;
    end

        

        fontsize = 18;    
        figure1 = figure('Color',backgound_color, 'XVisual','0x21 (TrueColor, depth 24, RGB mask 0xff0000 0xff00 0x00ff)','Renderer','painters');

        y_lim = [0.9 3];
        x_lim = [0 8.5];
        % wave function rough edge
        Position = [0.1 0.1 0.6 0.3];
        axes1 = axes('Parent',figure1, 'Position', Position,...
                'Visible', 'off',...
                'FontSize', fontsize,...     
                'ylim', y_lim, ... 
                'xlim', x_lim,...       'XTick', XTick,...                'YTick', YTick,...
                'Box', 'off',...
                'FontName','Times New Roman');
        hold on; 
        
        plot( K_cont(:,1), K_cont(:,2), 'Color', [0 0 0], 'LineWidth', 2, 'Parent', axes1 )
        indexek = logical( (K1300.Conductance> 1) & (K1300.Conductance < 3) );
        plot( arany1300(indexek), K1300.Conductance(indexek), 'Color', [0 0 0], 'LineStyle', '--', 'LineWidth', 2, 'Parent', axes1 )
        indexek = logical( (K700.Conductance> 1) & (K700.Conductance < 3));
        plot( arany700(indexek), K700.Conductance(indexek), 'Color', [0 0 0], 'LineStyle', '--', 'LineWidth', 2, 'Parent', axes1 )
 
        
                   
            
        %print( '-depsc2', '../graphene_spectrum_antidot.eps' )
        if white
            saveas(figure1,'../conductance_RSO_white.jpg') 
        else
            set(gca,'Color',backgound_color);
            set(gcf, 'InvertHardCopy', 'off');
            saveas(figure1,'../conductance_RSO.jpg') 
        end
        
        
        close( figure1 ) 
        
    end



end


