<?php $object_name = ws_Ribbon; ?>
<h1 class="methods" class="methods"><?php echo $object_name; ?></h1>

<?php include ('licence.html'); ?>


  <p class="caption">Description</p>
  <p class="syntax">Returns a class handle of the workspace for the interface <a href="index.php?location=Ribbon&menu=interfaces">Ribbon</a>.</p>
  <p class="caption">Syntax</p>
  <p class="syntax">class_handle = <?php echo $object_name; ?>( ) </p>


<table>
<tr>
<th colspan="2"> Attributes </th>
</td>
<tr>
<td class="parameter_names">
CreateH
</td>
<td class="parameter_values">
An instance of interface <a href="index.php?location=CreateHamiltonians&menu=interfaces">CreateHamiltonians</a>. Responsible for creating Hamiltonians of the scattering region.
</td>
</tr>
<tr>
<td class="parameter_names">
FL_handles
</td>
<td class="parameter_values">
An instance of interface <a href="index.php?location=Transport_Interface&menu=interfaces">Transport_Interface</a>.
</td>
</tr>
<tr>
<td class="parameter_names">
Surface_tmp
</td>
<td class="parameter_values">
An instance of interface <a href="index.php?location=Surface_Green_function&menu=interfaces">Surface_Green_function</a>. Describes the unit cell of the scattering region.
</td>
</tr>
<tr>
<td class="parameter_names">
Surface_interface
</td>
<td class="parameter_values">
A list of interfaces <a href="index.php?location=Surface_Green_function&menu=interfaces">Surface_Green_function</a>. Use as interface regions between the leads and scattering region in hexagonal lattice.
</td>
</tr>
<tr>
<td class="parameter_names">
PeierlsTransform_Scatter
</td>
<td class="parameter_values">
An instance of interface <a href="index.php?location=Peierls&menu=interfaces">Peierls</a>. Responsible for the Peierls transformation in the scattering region.
</td>
</tr>
</tr>
<tr>
<td class="parameter_names">
PeierlsTransform_Leads
</td>
<td class="parameter_values">
An instance of interface <a href="index.php?location=Peierls&menu=interfaces">Peierls</a>. Responsible for the Peierls transformation in the leads.
</td>
</tr>
<tr>
<td class="parameter_names">
gauge_field
</td>
<td class="parameter_values">
Function handle for the gauge transformation in the scattering region.
</td>
</tr>
<tr>
<td class="parameter_names">
filenameIn
</td>
<td class="parameter_values">
Input filename for the xml input structure.
</td>
</tr>
</tr>
<tr>
<td class="parameter_names">
filenameOut
</td>
<td class="parameter_values">
Output filename for the xml input structure.
</td>
</tr>
<tr>
<td class="parameter_names">
silent
</td>
<td class="parameter_values">
Set true for less verboseness, or false otherwise.
</td>
</tr>
</tr>
<tr>
<td class="parameter_names">
width
</td>
<td class="parameter_values">
Integer. Gives the number of the atomic sites in the cross section of the ribbon.
</td>
</tr>
<tr>
<td class="parameter_names">
height
</td>
<td class="parameter_values">
Integer. Gives the height of the ribbon in units of the lattice vector.
</td>
</tr>
<tr>
<td class="parameter_names">
phi
</td>
<td class="parameter_values">
A vector of pair potential phases in the left (1st) and right (2nd) superconductor
</td>
</tr>
<tr>
<td class="parameter_names">
E
</td>
<td class="parameter_values">
The energy used in the calculations.
</td>
</tr>
<tr>
<td class="parameter_names">
EF
</td>
<td class="parameter_values">
The Fermi energy in the units of eV.
</td>
</tr>
<tr>
<td class="parameter_names">
Surface_tmp
</td>
<td class="parameter_values">
An instance of interface <a href="index.php?location=Surface_Green_function&menu=interfaces">Surface_Green_function</a>.
</td>
</tr>
<tr>
<td class="parameter_names">
PNpotential
</td>
<td class="parameter_values">
The height of the p-n potential across the ribbon in the units of eV.
</td>
</tr>
<tr>
<td class="parameter_names">
PNeta
</td>
<td class="parameter_values">
The width of the p-n potential step in units of the total width of the ribbon. ($0 less PNeta less 1$)
</td>
</tr>
<tr>
<td class="parameter_names">
rCC
</td>
<td class="parameter_values">
The site-site distance in units of $\AA$.
</td>
</tr>
<tr>
<td class="parameter_names">
h
</td>
<td class="parameter_values">
The Planck constant.
</td>
</tr>
<tr>
<td class="parameter_names">
qe
</td>
<td class="parameter_values">
The elementary charge unit.
</td>
</tr>
<tr>
<td class="parameter_names">
tree
</td>
<td class="parameter_values">
The xml tree of the input file.
</td>
</tr>
</table>
