%%    Favago Transport Programming Interface - Segedfuggvenyek
%    Copyright (C) 2009-2015 Peter Rakyta, Ph.D.
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see http://www.gnu.org/licenses/.
%
%    Provides an interface with some common functions.
%%
function handles = Segedfuggvenyek()


handles.egesz_resz           = @egesz_resz;
handles.atom_megkulonbozteto = @atom_megkulonbozteto;
handles.atom_tipus           = @atom_tipus;
handles.paritas              = @paritas;




%% egesz_res
% Calculates the integer part of a number.
function y = egesz_resz(x)

y = round(x);

if y > x
    y = y-1;
end

end

%% atom_megkulonbozteto
% Makes a difference between A and B type sites. (Can be used in hexagonal lattices.) --- Obsolete
function tipus = atom_megkulonbozteto(resz_index_mtx,index_koord)

oszlop = index_koord(1);
sor    = index_koord(2) + resz_index_mtx(3);

if strcmp(paritas(oszlop), 'ps')
    kezdoatom = 1;
else
    kezdoatom = 0;
end

if strcmp(paritas(sor+kezdoatom), 'pt')
    tipus = 'A';
else
    tipus = 'B';
end


end

%% atom_tipu
% Makes a difference between A and B type sites. (Can be used in hexagonal lattices.) --- Obsolete
function tipus = atom_tipus(idx_i,idx_j)


oszlop = egesz_resz(idx_j);
sor    = egesz_resz(idx_i);

if strcmp(paritas(oszlop),'ps') == 1
    kezdoatom = 1;
else
    kezdoatom = 0;
end

if strcmp(paritas(sor+kezdoatom),'pt') == 1
    tipus = 'A';
else
    tipus = 'B';
end

end


%% paritas
% Determine the parity of a number.
function p = paritas(x)

if abs(x/2-round(x/2)) > 0
    p = 'pt';
else
    p = 'ps';
end

end
%--------------------------------------------------------------------------



end % Global end
